{
  "ad0ebece2493ecaf2336b939a2cc27e65261695c8c8725416e1d349da02a14d5": {
    "deviceId": "ad0ebece2493ecaf2336b939a2cc27e65261695c8c8725416e1d349da02a14d5",
    "publicKey": "zezYCyurUtpYNt9j6bBc5Cz5xFVdnknXzhoCVAOFiwY",
    "platform": "linux",
    "clientId": "cli",
    "clientMode": "cli",
    "role": "operator",
    "roles": [
      "operator"
    ],
    "scopes": [
      "operator.read",
      "operator.admin",
      "operator.write",
      "operator.approvals",
      "operator.pairing"
    ],
    "approvedScopes": [
      "operator.read",
      "operator.admin",
      "operator.write",
      "operator.approvals",
      "operator.pairing"
    ],
    "tokens": {
      "operator": {
        "token": "pg1GmeUDISnd7tcZBg7egNxxZSfJOpYJ1CfjrVXA9r0",
        "role": "operator",
        "scopes": [
          "operator.admin",
          "operator.approvals",
          "operator.pairing",
          "operator.read",
          "operator.write"
        ],
        "createdAtMs": 1772478478331,
        "rotatedAtMs": 1772478926904,
        "lastUsedAtMs": 1772587382647
      }
    },
    "createdAtMs": 1772478478331,
    "approvedAtMs": 1772478926904
  },
  "5edabd97839bb827cf4a7e1bdbbf52d3bdc14ee3ed6cd4488dea64165a343a96": {
    "deviceId": "5edabd97839bb827cf4a7e1bdbbf52d3bdc14ee3ed6cd4488dea64165a343a96",
    "publicKey": "MvxEPmOjuhaOctHiiTGNWbrb3PqNKdtJH2tNUmnUDFg",
    "platform": "Linux x86_64",
    "clientId": "openclaw-control-ui",
    "clientMode": "webchat",
    "role": "operator",
    "roles": [
      "operator"
    ],
    "scopes": [
      "operator.admin",
      "operator.approvals",
      "operator.pairing"
    ],
    "approvedScopes": [
      "operator.admin",
      "operator.approvals",
      "operator.pairing"
    ],
    "tokens": {
      "operator": {
        "token": "o7iad673N6wjzvtaLZi3pi5oOec2a14jRqD0DTqAsNM",
        "role": "operator",
        "scopes": [
          "operator.admin",
          "operator.approvals",
          "operator.pairing"
        ],
        "createdAtMs": 1772562796594,
        "lastUsedAtMs": 1772563663633
      }
    },
    "createdAtMs": 1772562796594,
    "approvedAtMs": 1772562796594
  },
  "5d129a0d4e4c48a61ac4132f4f71c6eccf4df41d066a03076bcf255f1e71f0dc": {
    "deviceId": "5d129a0d4e4c48a61ac4132f4f71c6eccf4df41d066a03076bcf255f1e71f0dc",
    "publicKey": "1KPQKT74AgGXb8B6O8vTQqkCFBBTI1_9Y2jVvzVI6G4",
    "platform": "Linux x86_64",
    "clientId": "openclaw-control-ui",
    "clientMode": "webchat",
    "role": "operator",
    "roles": [
      "operator"
    ],
    "scopes": [
      "operator.admin",
      "operator.approvals",
      "operator.pairing",
      "operator.read",
      "operator.write"
    ],
    "approvedScopes": [
      "operator.admin",
      "operator.approvals",
      "operator.pairing"
    ],
    "tokens": {
      "operator": {
        "token": "2nXUowAOJpF7bCROTQ4-q50zUe2FHRzJDhmpFQe0DQ4",
        "role": "operator",
        "scopes": [
          "operator.admin",
          "operator.approvals",
          "operator.pairing"
        ],
        "createdAtMs": 1772563930487,
        "lastUsedAtMs": 1777577695518
      }
    },
    "createdAtMs": 1772563930487,
    "approvedAtMs": 1772563930487
  },
  "549bd550370c304528dad163bf24f004d94acb9bb659020fb44e88b4f73c1ee1": {
    "deviceId": "549bd550370c304528dad163bf24f004d94acb9bb659020fb44e88b4f73c1ee1",
    "publicKey": "hX_4gWll3JPphbMZQ2fjPIXDXwp51gaILYB64KyimBE",
    "displayName": "subagent-reliability-harness",
    "platform": "linux",
    "clientId": "test",
    "clientMode": "test",
    "role": "operator",
    "roles": [
      "operator"
    ],
    "scopes": [
      "operator.admin"
    ],
    "approvedScopes": [
      "operator.admin"
    ],
    "tokens": {
      "operator": {
        "token": "fDTz6u2K-fKNq4Cc-VoSQkbfltPCN1tqetg52yhsJk8",
        "role": "operator",
        "scopes": [
          "operator.admin"
        ],
        "createdAtMs": 1773424919036
      }
    },
    "createdAtMs": 1773424919036,
    "approvedAtMs": 1773424919036
  },
  "39f0b7bda89dce3f05069b9d1448380ddbe62bc134462d3b55d5b828a400ef5a": {
    "deviceId": "39f0b7bda89dce3f05069b9d1448380ddbe62bc134462d3b55d5b828a400ef5a",
    "publicKey": "Ry6mje0TZaftwqFZHPjfDWvKBGDnPuIO55KkWZVlCCA",
    "platform": "Linux armv81",
    "clientId": "openclaw-control-ui",
    "clientMode": "webchat",
    "role": "operator",
    "roles": [
      "operator"
    ],
    "scopes": [
      "operator.admin",
      "operator.read",
      "operator.write",
      "operator.approvals",
      "operator.pairing"
    ],
    "approvedScopes": [
      "operator.admin",
      "operator.read",
      "operator.write",
      "operator.approvals",
      "operator.pairing"
    ],
    "tokens": {
      "operator": {
        "token": "fVLx_n78DlCM5Pq7zoJ0GUBmNhc2PTpmQaRgYM9uKx8",
        "role": "operator",
        "scopes": [
          "operator.admin",
          "operator.approvals",
          "operator.pairing",
          "operator.read",
          "operator.write"
        ],
        "createdAtMs": 1774546161801,
        "lastUsedAtMs": 1776198489189
      }
    },
    "createdAtMs": 1774546161801,
    "approvedAtMs": 1774546161801
  },
  "51f0649c5ccadb657c78e0e260158936bec056bea4b6f54e7e6e20301360c625": {
    "deviceId": "51f0649c5ccadb657c78e0e260158936bec056bea4b6f54e7e6e20301360c625",
    "publicKey": "9Pz8SBkilUpowGXkSGLGrpNF0EQY1CAo1J-KVtzOvCE",
    "platform": "Linux x86_64",
    "clientId": "openclaw-control-ui",
    "clientMode": "webchat",
    "role": "operator",
    "roles": [
      "operator"
    ],
    "scopes": [
      "operator.admin",
      "operator.read",
      "operator.write",
      "operator.approvals",
      "operator.pairing"
    ],
    "approvedScopes": [
      "operator.admin",
      "operator.read",
      "operator.write",
      "operator.approvals",
      "operator.pairing"
    ],
    "tokens": {
      "operator": {
        "token": "CZehqiV7k7308ddEakRqbHxVd7u0pPMyMh3_rVJtN6Q",
        "role": "operator",
        "scopes": [
          "operator.admin",
          "operator.approvals",
          "operator.pairing",
          "operator.read",
          "operator.write"
        ],
        "createdAtMs": 1774546959027,
        "lastUsedAtMs": 1777595759200
      }
    },
    "createdAtMs": 1774546959027,
    "approvedAtMs": 1774546959027
  }
}